ONVIF::Device::Elements::SetDPAddresses(3)

NAME
ONVIF::Device::Elements::SetDPAddresses

DESCRIPTION
Perl data type class for the XML Schema defined element SetDPAddresses from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   DPAddress

     $element->set_DPAddress($data);
     $element->get_DPAddress();

METHODS

  new
 my $element = ONVIF::Device::Elements::SetDPAddresses->new($data);

Constructor. The following data structure may be passed to new():

 {
   DPAddress =>  { # ONVIF::Device::Types::NetworkHost
     Type => $some_value, # NetworkHostType
     IPv4Address => $some_value, # IPv4Address
     IPv6Address => $some_value, # IPv6Address
     DNSname => $some_value, # DNSName
     Extension =>  { # ONVIF::Device::Types::NetworkHostExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL